Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057496 - Review Request: senna - An embeddable fulltext search engine
Summary: Review Request: senna - An embeddable fulltext search engine
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-01-24 09:02 UTC by Christopher Meng
Modified: 2016-06-28 13:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-28 13:00:37 UTC
ignatenko: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2014-01-24 09:02:31 UTC
Spec URL: http://cicku.me/senna.spec
SRPM URL: http://cicku.me/senna-1.1.5-1.fc21.src.rpm
Description: Senna is an embeddable fulltext search engine which you can use in conjunction with various scripting languages and databases. Senna is an inverted index based engine, and combines the best of n-gram indexing and word indexing to 
achieve fast, precise searches. While senna codebase is rather compact it is 
scalable enough to handle large amounts of data and queries.
Fedora Account System Username: cicku

Comment 1 Igor Gnatenko 2014-01-27 05:48:29 UTC
Taken. Will review soon ;)

Comment 2 Igor Gnatenko 2014-01-27 18:00:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in senna
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries
- rpath in binaries
  senna.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/sennachk ['/usr/lib64']
  senna.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/senna ['/usr/lib64']
- licensecheck contains info about GPL sources
  GPL
  ---
  senna-1.1.5/bindings/mysql/myisenna/myisenna.cc
  senna-1.1.5/bindings/mysql/myisenna/myisenna.h
  senna-1.1.5/bindings/ruby/lib/senna.rb
  senna-1.1.5/bindings/ruby/lib/senna_api_dl.rb
  senna-1.1.5/bindings/ruby/test/advanced-api-test/test_index_advanced.rb
  senna-1.1.5/bindings/ruby/test/advanced-api-test/test_query_advanced.rb
  etc.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[!]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL (v2.1 or later) (with incorrect FSF address)", "Public
     domain LGPL (v2.1 or later) (with incorrect FSF address)", "Unknown or
     generated". 19 files have unknown license. Detailed output of
     licensecheck in /home/brain/1057496-senna/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 184320 bytes in 19 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: senna-1.1.5-1.fc21.x86_64.rpm
          senna-devel-1.1.5-1.fc21.x86_64.rpm
          senna-1.1.5-1.fc21.src.rpm
senna.x86_64: W: spelling-error Summary(en_US) embeddable -> embedded
senna.x86_64: W: spelling-error Summary(en_US) fulltext -> full text, full-text, teletext
senna.x86_64: W: spelling-error %description -l en_US embeddable -> embedded
senna.x86_64: W: spelling-error %description -l en_US fulltext -> full text, full-text, teletext
senna.x86_64: W: spelling-error %description -l en_US codebase -> co debase, co-debase, code base
senna.x86_64: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
senna.x86_64: W: spelling-error %description -l en_US embbeded -> embedded, embed, bedded
senna.x86_64: W: spelling-error %description -l en_US perl -> Perl, peel, perk
senna.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/sennachk ['/usr/lib64']
senna.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/senna ['/usr/lib64']
senna.x86_64: W: shared-lib-calls-exit /usr/lib64/libsenna.so.0.0.0 exit@GLIBC_2.2.5
senna.x86_64: E: incorrect-fsf-address /usr/share/doc/senna/COPYING
senna.x86_64: E: library-without-ldconfig-postin /usr/lib64/libsenna.so.0.0.0
senna.x86_64: E: library-without-ldconfig-postun /usr/lib64/libsenna.so.0.0.0
senna.x86_64: W: no-manual-page-for-binary senna-cfg
senna.x86_64: W: no-manual-page-for-binary sennachk
senna.x86_64: W: no-manual-page-for-binary senna
senna-devel.x86_64: E: incorrect-fsf-address /usr/include/senna/senna.h
senna.src: W: spelling-error Summary(en_US) embeddable -> embedded
senna.src: W: spelling-error Summary(en_US) fulltext -> full text, full-text, teletext
senna.src: W: spelling-error %description -l en_US embeddable -> embedded
senna.src: W: spelling-error %description -l en_US fulltext -> full text, full-text, teletext
senna.src: W: spelling-error %description -l en_US codebase -> co debase, co-debase, code base
senna.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
senna.src: W: spelling-error %description -l en_US embbeded -> embedded, embed, bedded
senna.src: W: spelling-error %description -l en_US perl -> Perl, peel, perk
3 packages and 0 specfiles checked; 6 errors, 20 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint senna-devel senna
senna-devel.x86_64: E: incorrect-fsf-address /usr/include/senna/senna.h
senna.x86_64: W: spelling-error Summary(en_US) embeddable -> embedded
senna.x86_64: W: spelling-error Summary(en_US) fulltext -> full text, full-text, teletext
senna.x86_64: W: spelling-error %description -l en_US embeddable -> embedded
senna.x86_64: W: spelling-error %description -l en_US fulltext -> full text, full-text, teletext
senna.x86_64: W: spelling-error %description -l en_US codebase -> co debase, co-debase, code base
senna.x86_64: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
senna.x86_64: W: spelling-error %description -l en_US embbeded -> embedded, embed, bedded
senna.x86_64: W: spelling-error %description -l en_US perl -> Perl, peel, perk
senna.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/sennachk ['/usr/lib64']
senna.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/senna ['/usr/lib64']
senna.x86_64: W: shared-lib-calls-exit /usr/lib64/libsenna.so.0.0.0 exit@GLIBC_2.2.5
senna.x86_64: E: incorrect-fsf-address /usr/share/doc/senna/COPYING
senna.x86_64: E: library-without-ldconfig-postin /usr/lib64/libsenna.so.0.0.0
senna.x86_64: E: library-without-ldconfig-postun /usr/lib64/libsenna.so.0.0.0
senna.x86_64: W: no-manual-page-for-binary senna-cfg
senna.x86_64: W: no-manual-page-for-binary sennachk
senna.x86_64: W: no-manual-page-for-binary senna
2 packages and 0 specfiles checked; 6 errors, 12 warnings.
# echo 'rpmlint-done:'



Requires
--------
senna-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libsenna.so.0()(64bit)
    senna(x86-64)

senna (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libmecab.so.2()(64bit)
    libpthread.so.0()(64bit)
    libsenna.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
senna-devel:
    pkgconfig(senna)
    senna-devel
    senna-devel(x86-64)

senna:
    libsenna.so.0()(64bit)
    senna
    senna(x86-64)



Source checksums
----------------
http://iij.dl.sourceforge.jp/senna/46945/senna-1.1.5.tar.gz :
  CHECKSUM(SHA256) this package     : 6a6bef64b8234b0927e9521882c06da70a35d1b2a5116e432068c120be86b829
  CHECKSUM(SHA256) upstream package : 6a6bef64b8234b0927e9521882c06da70a35d1b2a5116e432068c120be86b829


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1057496
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Christopher Meng 2014-02-14 08:42:58 UTC
Hi,

Thanks for the review, I prepared a new one:

Spec URL: http://cicku.me/senna.spec
SRPM URL: http://cicku.me/senna-1.1.5-2.fc21.src.rpm

Comment 4 Igor Gnatenko 2014-03-01 16:20:12 UTC
No more issues here.

Again, sorry for delay.

Comment 5 Christopher Meng 2014-03-01 18:24:17 UTC
New Package SCM Request
=======================
Package Name: senna
Short Description: An embeddable fulltext search engine
Owners: cicku
Branches: f19 f20 el6 epel7

Comment 6 Gwyn Ciesla 2014-03-03 13:07:28 UTC
Git done (by process-git-requests).

Comment 7 Kentaro Hayashi 2014-03-07 06:57:41 UTC
Hi, I co-maintain Groonga packages which is successor of Senna.

https://admin.fedoraproject.org/pkgdb/acls/name/groonga

Senna is not maintained actively now.

Are there specific reason dare to put Senna into Fedora?

I'm not intended to say that Senna should not maintain Senna package on Fedora.
I hope that the user of Senna package could know "There is an successor of Senna is already exists in Fedora".

Could you mention about Groonga in spec file?

Comment 8 Christopher Meng 2014-03-07 08:38:31 UTC
No. n reply to HAYASHI Kentaro from comment #7)
> Hi, I co-maintain Groonga packages which is successor of Senna.
> 
> https://admin.fedoraproject.org/pkgdb/acls/name/groonga
> 
> Senna is not maintained actively now.
> 
> Are there specific reason dare to put Senna into Fedora?

No. 

> I'm not intended to say that Senna should not maintain Senna package on
> Fedora.
> I hope that the user of Senna package could know "There is an successor of
> Senna is already exists in Fedora".
> 
> Could you mention about Groonga in spec file?

No.

Comment 9 Igor Gnatenko 2016-06-28 13:00:37 UTC
As Christopher is not anymore active (unfortunately) - I will close this review.


Note You need to log in before you can comment on or make changes to this bug.